Name:		lsps
Version:	0.3
Release:	3%{?dist}
Summary:	process and file listing shortcuts

Group:		System Environment/Base
License:	Non-commercial
URL:		https://github.com/sdgathman/lsps
Source0:	lsps-%{version}.tar.gz

BuildRequires:	make gcc
Requires:	procps-ng
Obsoletes:	bmsbin-ps

%global debug_package %{nil}

%description
Filters output of /bin/ps to replace PPID column with tree structure diagram.

%prep
%setup -q


%build
make lsps %{?_smp_mflags} CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -p lsps %{buildroot}%{_bindir}
install -pm 755 lk.sh %{buildroot}%{_bindir}/lk
install -pm 755 lc.sh %{buildroot}%{_bindir}/l
ln %{buildroot}%{_bindir}/l %{buildroot}%{_bindir}/lf
ln %{buildroot}%{_bindir}/l %{buildroot}%{_bindir}/lc

%files
#doc
%{_bindir}/*

%changelog
* Thu Jun  9 2016 Stuart D. Gathman <stuart@gathman.org> 0.3-2
- Obsoletes bmsbin-ps

* Thu Jun  9 2016 Stuart D. Gathman <stuart@gathman.org> 0.3-1
- Fix overlapping strcpy()

* Thu Jun  9 2016 Stuart D. Gathman <stuart@gathman.org> 0.2-1
- Fix bugs found in initial testing

* Thu Jun  9 2016 Stuart D. Gathman <stuart@gathman.org> 0.1-1
- Initial lsps package extracted from bmsbin-ps
